# $Revision: 1.58.2.12.2.5 $, $Date: 2008/09/25 10:22:13 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	smp		# don't build SMP module
%bcond_without	up		# don't build UP module
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine	 with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel		2
%define		pname	e1000
Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Name:		%{pname}%{_alt_kernel}
Version:	8.0.3.1
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	2988cb6e296e9b2fa2eb5141a0baadd9
URL:		http://sourceforge.net/projects/e1000/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.330
# gcc fails on AC
ExcludeArch:	ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
adapters with 8254x chipsets.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) PRO/1000 opartych o układy 8254x.

%package -n kernel%{_alt_kernel}-net-e1000
Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Obsoletes:	e1000
Obsoletes:	linux-net-e1000

%description -n kernel%{_alt_kernel}-net-e1000
This package contains the Linux driver for the Intel(R) PRO/1000
adapters with 8254x chipsets.

%description -n kernel%{_alt_kernel}-net-e1000 -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa SMP do kart sieciowych
10/100/1000Mbit z rodziny Intel(R) PRO/1000.

%package -n kernel%{_alt_kernel}-smp-net-e1000
Summary:	Intel(R) PRO/1000 driver for Linux SMP
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}
Obsoletes:	e1000
Obsoletes:	linux-net-e1000

%description -n kernel%{_alt_kernel}-smp-net-e1000
This package contains the Linux driver for the Intel(R) PRO/1000
adapters with 8254x chipsets.

%description -n kernel%{_alt_kernel}-smp-net-e1000 -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa SMP do kart sieciowych
10/100/1000Mbit z rodziny Intel(R) PRO/1000.

%prep
%setup -q -n %{pname}-%{version}
cat > src/Makefile <<'EOF'
obj-m := e1000.o
e1000-objs := e1000_main.o e1000_82540.o e1000_82542.o e1000_82541.o e1000_82543.o \
e1000_mac.o e1000_nvm.o e1000_phy.o e1000_manage.o e1000_param.o e1000_ethtool.o \
kcompat.o e1000_api.o

EXTRA_CFLAGS=-DDRIVER_E1000
EOF

%build
%build_kernel_modules -C src -m %{pname}

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current
# blacklist kernel module
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'
blacklist e1000
alias e1000 e1000-current
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-e1000
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-e1000
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-net-e1000
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-net-e1000
%depmod %{_kernel_ver}smp

%if %{with kernel}
%if %{with up}
%files -n kernel%{_alt_kernel}-net-e1000
%defattr(644,root,root,755)
%doc e1000.7 README
/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-net-e1000
%defattr(644,root,root,755)
%doc e1000.7 README
/etc/modprobe.d/%{_kernel_ver}smp/%{pname}.conf
/lib/modules/%{_kernel_ver}smp/kernel/drivers/net/%{pname}*.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: e1000.spec,v $
Revision 1.58.2.12.2.5  2008/09/25 10:22:13  glen
- merged updates from HEAD, unify for 2.6.16 kernels

Revision 1.58.2.12.2.4  2008/09/25 10:10:41  glen
- utf8

Revision 1.58.2.12.2.3  2008/09/25 10:10:15  glen
- unify release

Revision 1.58.2.12.2.2  2008/08/18 18:05:55  marcus
- 8.0.3.1 for Ac with 2.6.16.x

Revision 1.58.2.12.2.1  2008/08/06 14:53:17  marcus
- 7.6.15.5 for kernel 2.6.16

Revision 1.58.2.12  2007/11/28 00:26:06  glen
- rel 3

Revision 1.58.2.11  2007-11-27 16:40:21  glen
- no smp kernel on ac-sparc; rel 2

Revision 1.58.2.10  2007-11-27 13:19:20  glen
- add support for alt kernel

Revision 1.58.2.9  2007-11-27 01:23:11  shadzik
- 7.6.12

Revision 1.58.2.8  2007-08-24 16:40:49  shadzik
- 7.6.5
- define _mod_name

Revision 1.58.2.7  2007/04/26 23:48:08  shadzik
- up to 7.5.5

Revision 1.58.2.6  2007/04/08 12:26:31  shadzik
- new URL

Revision 1.58.2.5  2007/03/26 18:59:53  shadzik
- fix build when --without up passed

Revision 1.58.2.4  2007/03/25 03:38:34  shadzik
- up to 7.4.35

Revision 1.58.2.3  2007/03/25 03:36:57  shadzik
- fix build by adding 'up' bcond

Revision 1.58.2.2  2007/03/01 02:18:39  shadzik
- 7.4.27
- new Source0

Revision 1.58.2.1  2006/12/07 20:23:35  glen
- exclude ppc due gcc bug, but i want this pkg appear in AC
- rel 3

Revision 1.58  2006/11/28 17:59:24  glen
- add per package modprobe file so one could keep using e1000 in their modprobe.conf

Revision 1.57  2006/11/19 21:21:59  sparky
- cosmetics

Revision 1.56  2006/11/19 03:57:20  shadzik
- kill duplicate dir installation

Revision 1.55  2006/11/19 03:53:31  shadzik
- BR: rpmbuild(macros) >= 1.330

Revision 1.54  2006/11/19 03:53:01  shadzik
- use new kernel_build macros

Revision 1.53  2006/09/25 15:57:27  shadzik
- 7.2.9

Revision 1.52  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.51  2006/08/18 22:20:42  shadzik
- up to 7.2.7

Revision 1.50  2006/06/25 10:58:18  adamg
- updated to 7.1.9

Revision 1.49  2006/06/24 18:39:10  adamg
- alternative kernel support

Revision 1.48  2006/05/09 18:08:55  zbyniu
- build fix; synchro options with template-kernel-module.spec

Revision 1.47  2006/05/09 09:59:38  paszczus
- propably fixed building on ppc (it was typo?)

Revision 1.46  2006/05/08 13:12:26  paszczus
- updated to 7.0.38

Revision 1.45  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.44  2006/04/06 15:06:02  adamg
- make it build on 2.6.16.1

Revision 1.43  2005/12/10 15:06:55  qboosh
- no more sparc->sparc64

Revision 1.42  2005/11/13 13:40:22  paszczus
- next try to fix build on sparc (thx arekm)

Revision 1.41  2005/11/13 13:33:58  paszczus
- fixed build on ppc and sparc (copy->paste arekm`s and sparky`s changes from shfs.spec)
- release 1

Revision 1.40  2005/11/13 13:12:52  paszczus
- updated to 6.2.15 ; rel 0.1 (need test-build on builders @ 2.6.14.2)

Revision 1.39  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.38  2005/07/14 09:06:30  areq
- 6.0.60

Revision 1.37  2005/05/09 09:22:00  pluto
- conditional build fixed.

Revision 1.36  2005/05/09 08:43:42  paszczus
- ups, last md5 was proper

Revision 1.35  2005/05/09 08:42:14  paszczus
- updated md5

Revision 1.34  2005/05/08 14:02:11  pluto
- updated to 6.0.54.
- module renamed to e1000i to avoid confilct with kernel built-in e1000.
- license updated (GPLv2), cosmetics.
- release 1.

Revision 1.33  2005/03/26 21:41:51  cieciwa
- no gzip modules.

Revision 1.32  2005/03/26 14:15:51  paszczus
- fixed build on some archs
- some cleanup
- release 2 ; STBR

Revision 1.31  2005/03/25 14:06:14  paszczus
- updated URL

Revision 1.30  2005/03/13 10:50:59  paszczus
- reverted

Revision 1.28  2005/02/26 12:23:00  paszczus
- updated to 5.7.6
- STBR

Revision 1.27  2004/10/21 19:09:11  qboosh
- 2.6 now - updated deps; fixed bconds

Revision 1.26  2004/10/21 11:17:05  cieciwa
- fixed building process.

Revision 1.25  2004/10/21 10:54:03  cieciwa
- updated to version 5.5.4,
- updated MD5 sum.

Revision 1.24  2004/03/09 08:23:44  cieciwa
- version 5.2.30.1

Revision 1.23  2003/12/07 18:33:34  marcus
- fix bcond

Revision 1.22  2003/12/07 14:48:18  marcus
- fixes for ppc and kernel 2.4
- changed module name to e1000_intel to avoid conflicts
  with e1000 module from kernel

Revision 1.21  2003/11/15 21:45:17  marcus
- updated to 5.2.20

Revision 1.20  2003/08/12 22:32:48  ankry
- cosmetics

Revision 1.19  2003/07/10 13:25:41  trojan
- added using depmod macro

Revision 1.18  2003/05/26 16:25:19  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:49:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/16 08:33:42  trojan
- fixed depmod in %%post and %%postun when build with _without_dist_kernel

Revision 1.15  2003/05/14 14:42:44  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.14  2003/03/17 10:43:17  marcus
- X86_LOCAL_APIC is only on ix86

Revision 1.13  2002/12/03 01:00:49  blues
- this is only for 2.4 kernels

Revision 1.12  2002/12/03 00:53:57  blues
- 4.4.12 - the same version from vanilla 2.4 kernel is simply big CRAP

Revision 1.11  2002/11/17 18:11:48  kloczek
- release 3: rebuild against kernel 2.2.22-6.

Revision 1.10  2002/11/02 11:23:35  ankry
- fixed bogus release: really rel. 2

Revision 1.9  2002/09/30 13:34:48  kloczek
- release 2: rebuild against kernel 2.2.22.

Revision 1.8  2002/08/26 11:58:50  marcus
a931601980da5b56  SOURCES/e1000-4.3.15.tar.gz
updated to 4.3.15
removed outdated

Revision 1.7  2002/08/21 10:52:03  qboosh
- use _kernelsrcdir macro

Revision 1.6  2002/08/20 12:13:22  blues
- 4.3.2 - STBR

Revision 1.5  2002/08/19 18:56:08  marcus
- fix for make clean

Revision 1.4  2002/08/19 18:49:24  marcus
- dirty fix for Intel's Makefile

Revision 1.3  2002/08/19 17:35:16  marcus
- fixed KSRC

Revision 1.2  2002/04/26 10:40:35  blues
- forgot to adapterize...

